Customer PO
Create a customer PO file
Create a customer PO File for an order.
Request
POST/orders/{orderNumber}/customer-po-files
Path parameters
orderNumberstringrequired
Order number of the order.
Body parameters
fileNamestringrequired
The name of the file.
fileContentInBase64stringrequired
File content after converted into base 64.
Response
200 Customer PO file is created
No response body is returned.
Check status code 200 for successfully create customer PO file.
400 Request is invalid
No customer PO file can be created as the request is invalid. Check the response body for the error details.
Examples
Request
curl -X POST 'https://portal.peplink.com/api/e/v1/cp/orders/{orderNumber}/customer-po-files' \ -H 'Authorization: Bearer {token}' \ -H 'Content-Type: application/json' \ --data-raw '{"fileName": "123.jpg","fileContentInBase64": "iVBORw0KGgoAAA...nhIoP2A"}'